PROCEDURE UseFiles();

BEGIN

(****************************************)
  myFile := FIO.Create("mytext.txt"); (* create file in same directory of module *)

  FIO.WrStr(myFile, "blabla"); (* write to file *)
  FIO.WrLn(myFile);
  FIO.WrCard(myFile, 512, 5);

  FIO.Close(myFile); (* close file after use *)

(****************************************)
  myFile := FIO.OpenRead("mytext.txt"); (* open existing file for reading only *)
  FIO.RdStr(myFile, str); (* read from file *)
  c := FIO.RdCard(myFile);
  WrStr("Contents of File: "); WrLn; WrStr(str); WrLn; WrCard(c, 5);WrLn;

(*  FIO.WrStr(myFile, "write something else");  *) (* this causes the program to crash: file was only opened for reading *)

  FIO.Close(myFile);
(****************************************)

  myFile := FIO.Create("C:/My Documents/test.txt"); (* create file in a specific directory *)

  FIO.Close(myFile);

END UseFiles;
